#!/usr/bin/perl -w
#
# $Id: Logfile.pm,v 1.2 2002/03/14 15:02:56 fpmip Exp $
#
# Logfile object
#
# Author : Tycho Fruru <tycho@fruru.com>
#
# Copyright (C) 2001 Tycho Fruru <tycho@fruru.com>
# Copyright (C) 2001 Conostix S.A. Luxembourg - Tycho Fruru <tycho@conostix.com>
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.  See <http://www.fsf.org/copyleft/gpl.txt>.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
package IPFC::Logfile;

use strict;
use warnings;

use Storable;

sub new() {
	my $proto = shift;
	my $class = ref($proto) || $proto;
	my $self = {};
	bless ($self,$class);
	return $self;
}

sub clone() {
	my $self = shift;
	my $class = ref($self);
	my $new;
	
	$new = Storable::dclone($self);
	
	bless ($new,$class);
	return $new;
}

sub set_agent_id($) {
	my $self = shift;
	my $agent_id = shift;
	$self->{"agent_id"} = $agent_id;
}

sub get_agent_id() {
	my $self = shift;
	return $self->{"agent_id"};
}

sub set_wrapper_id($) {
	my $self = shift;
	my $wrapper_id = shift;
	$self->{"wrapper_id"} = $wrapper_id;
}

sub get_wrapper_id() {
	my $self = shift;
	return $self->{"wrapper_id"};
}

sub set_generation_id($) {
	my $self = shift;
	my $generation_id = shift;
	$self->{"generation_id"} = $generation_id;
}

sub get_generation_id() {
	my $self = shift;
	return $self->{"generation_id"};
}

sub set_sequence_id($) {
	my $self = shift;
	my $sequence_id = shift;
	$self->{"sequence_id"} = $sequence_id;
}

sub get_sequence_id() {
	my $self = shift;
	return $self->{"sequence_id"};
}

sub set_transac_id($) {
	my $self = shift;
	my $transac_id = shift;
	$self->{"transac_id"} = $transac_id;
}

sub get_transac_id() {
	my $self = shift;
	return $self->{"transac_id"};
}

sub set_agent_time($) {
	my $self = shift;
	my $agent_time = shift;
	$self->{"agent_time"} = $agent_time;
}

sub get_agent_time() {
	my $self;
	return $self->{"agent_time"};
}

return 1;
